@import "../../../../shared/variables";

.box-quotation {
    background-color: #FFF;
    border-radius: 10px;
    box-shadow: 0px 2px 7px rgba(129, 107, 150, 0.15);
    .header-box-quotation {
        display: flex;
        padding: 16px;
        align-items: center;
        justify-content: space-between;    
        border-bottom: 1px solid #E0E0E0;
        .title {
            font-size: 18px;
            font-weight: 500;
        }
        .price {
            font-size: 24px;
            font-weight: 700;
            color: $attention;
        }
    }
    .cont-box-quotation {
        padding: 16px;
        .cont-item-box {
            .provider-item {
                margin-bottom: 24px;
                width: 100%;
                &:last-child {
                    margin-bottom: 0px;
                }
                .cont-provider {
                    width: 100%;
                    display: flex;
                    justify-content: space-between;
                    .provider {
                        .data-provider {
                            display: flex;
                            align-items: center;
                            margin-bottom: 8px;
                            .name-provider {
                                font-size: 18px;
                                font-weight: 700;
                                margin-bottom: 0;
                                margin-right: 16px;
                            }
                            .stars {
                                margin-left: 16px;
                            }
                        }
                        .details-itens-provider {
                            display: flex;
                            align-items: center;
                            p {
                                margin-bottom: 0;
                                color: $primarycolor-light;
                            }
                        }
                    }
                    a {
                        font-size: 14px;
                        font-weight: 500;
                        text-transform: uppercase;
                        margin-left: 8px;
                    }
                    .value-item {
                        .value {
                            font-size: 18px;
                            font-weight: 400;
                            margin-bottom: 8px;
                            text-align: right;
                        }
                        .delivery {
                            font-style: italic;
                            font-size: 14px;
                            font-weight: 400;
                            text-align: right;
                            margin-bottom: 0;
                        }
                    }    
                }
                .alert-provider {
                    background-color: rgba(242, 201, 76, 0.5);
                    color: #F2994A;
                    margin-top: 16px;
                    padding: 16px;
                    border-radius: 8px;
                    display: flex;
                    img {
                        margin-right: 8px;
                    }
                    p {
                        margin-right: 8px;
                        margin-bottom: 0;
                        display: flex;
                    }
                }            
            }
        }
    }
}